curl --request POST \
--url https://sandbox-api.borderless.xyz/v1/accounts/pfi \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Main Account",
"identityId": "cm9db4g2s2r7ro224ra6u1qvl",
"pfi": "Finity"
}
'import requests
url = "https://sandbox-api.borderless.xyz/v1/accounts/pfi"
payload = {
"name": "Main Account",
"identityId": "cm9db4g2s2r7ro224ra6u1qvl",
"pfi": "Finity"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Main Account', identityId: 'cm9db4g2s2r7ro224ra6u1qvl', pfi: 'Finity'})
};
fetch('https://sandbox-api.borderless.xyz/v1/accounts/pfi', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"assets": [
{
"id": "<string>",
"address": "<string>"
}
],
"fiats": [
{
"id": "<string>"
}
],
"identityId": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}Create a PFI Account (deprecated)
Deprecated. Will be removed by September 1st, 2026. Use POST /accounts with provider set to a PFI (e.g. Infinia, Finity) instead.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Deprecated. Will be removed by September 1st, 2026. A unique identifier for an account, allowing to distinguish it from other accounts.
3 - 50"Main Account"
Deprecated. Will be removed by September 1st, 2026. The id of the identity associated with the account. Learn more at Identity Guide.
25"cm9db4g2s2r7ro224ra6u1qvl"
Deprecated. Will be removed by September 1st, 2026. The name of the PFI (Borderless Partner Financial Institution) where the account will be created.
Bridge, Koywe, Kotanipay, Hercle, Bitso, Yellowcard, TraceFinance, HoneyCoin, BlindPay, Finity, Infinia, Walapay, Abra, Yativo, Capa, Bivo, Cobre, Avenia, Brale, BVNK, CoinsPH, Iron, Enigma, Juicyway, Kira, TripleA, Onmeta, Alfred, Demo, CrissCross "Finity"
Response
Successfully created Account data.
The provider that manages the account.
Standalone, Dfns, Utila, Infinia, Finity Deprecated. Will be removed by September 1st, 2026. Use provider instead.
wallet, institution Deprecated. Will be removed by September 1st, 2026. Use provider instead.
Bridge, Koywe, Kotanipay, Hercle, Bitso, Yellowcard, TraceFinance, HoneyCoin, BlindPay, Finity, Infinia, Walapay, Abra, Yativo, Capa, Bivo, Cobre, Avenia, Brale, BVNK, CoinsPH, Iron, Enigma, Juicyway, Kira, TripleA, Onmeta, Alfred, Demo, CrissCross Deprecated. Will be removed by September 1st, 2026. Use provider instead.
Utila, Standalone, MultiProvider, Dfns, NotApplicable Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?